/*
 * Copyright 1993, 1996, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */

/* shape_a.c - open a window, clear the background, set up
 * 	our world, and draw a blue rectangle.
 */
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>

/* Function Prototypes */
GLvoid initgfx( GLvoid );
GLvoid drawScene( GLvoid );

void
main( int argc, char *argv[] )
{
	GLsizei width, height;

	glutInit( &argc, argv );

	width = glutGet( GLUT_SCREEN_WIDTH ); 
	height = glutGet( GLUT_SCREEN_HEIGHT );
	glutInitWindowPosition( width / 4, height / 4 );
	glutInitWindowSize( width / 2, height / 2 );
	glutInitDisplayMode( GLUT_RGBA );
	glutCreateWindow( argv[0] );

	initgfx();

	glutDisplayFunc( drawScene ); 

	glutMainLoop();
}

GLvoid
initgfx( GLvoid )
{
	/* set the clear color to white */
	glClearColor( 1.0, 1.0, 1.0, 1.0 );

	/* set up our world */
	glOrtho( -15.0, 15.0, -15.0, 15.0, -1.0, 1.0 );
}

GLvoid
drawScene( GLvoid )
{
	glClear( GL_COLOR_BUFFER_BIT );

	/* We'll do all our OpenGL rendering here */

	/* Rendering Lab:  shape (a) */
	glColor3f( 0.0, 0.0, 1.0 );	/* blue */
	glRectf( -5.0, -10.0, 10.0, 5.0 );

	checkError( "drawScene" );
	glFlush();
}
