/*
 * (c) Copyright 1994, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 */
#include <GL/gl.h>
#include <GL/glu.h>

GLvoid
XYaxes( GLvoid )
{
	glPushAttrib( GL_CURRENT_BIT | GL_ENABLE_BIT | GL_LINE_BIT );
	glLineWidth( 3.0 );
	glDisable( GL_LIGHTING );
	glBegin( GL_LINES );
		/* color X axis red */
		glColor3f( 1.0, 0.0, 0.0 );
		glVertex2f( 0.0, 0.0 );
		glVertex2f( 1.5, 0.0 );

		/* color Y axis green */
		glColor3f(  0.0, 1.0, 0.0 );
		glVertex2f( 0.0, 0.0 );
		glVertex2f( 0.0, 1.5 );
	glEnd();

	glBegin( GL_TRIANGLES );
		glColor3f( 1.0, 0.0, 0.0 );
		glVertex2f( 1.5, 0.0 );
		glVertex2f( 1.35, -0.05 );
		glVertex2f( 1.35, 0.05 );
	
		glColor3f(  0.0, 1.0, 0.0 );
		glVertex2f( 0.0, 1.5 );
		glVertex2f( -0.05, 1.35 );
		glVertex2f( 0.05, 1.35 );
	glEnd();
	glPopAttrib();
}

GLvoid
XYZaxes( GLvoid )
{
	glPushAttrib( GL_CURRENT_BIT | GL_ENABLE_BIT | GL_LINE_BIT );
	glLineWidth( 3.0 );
	glDisable( GL_LIGHTING );
	glBegin( GL_LINES );
		/* color X axis red */
		glColor3f(  1.0, 0.0, 0.0 );
		glVertex3f( 0.0, 0.0, 0.0 );
		glVertex3f( 1.5, 0.0, 0.0 );

		/* color Y axis green */
		glColor3f(  0.0, 1.0, 0.0 );
		glVertex3f( 0.0, 0.0, 0.0 );
		glVertex3f( 0.0, 1.5, 0.0 );

		/* color Z axis blue */
		glColor3f(  0.0, 0.0, 1.0 );
		glVertex3f( 0.0, 0.0, 0.0 );
		glVertex3f( 0.0, 0.0, 1.5 );
	glEnd();

	glBegin( GL_TRIANGLES );
		glColor3f(  1.0, 0.0, 0.0 );
		glVertex3f( 1.5, 0.0, 0.0 );
		glVertex3f( 1.35, -0.05, 0.0 );
		glVertex3f( 1.35, 0.05, 0.0 );
	
		glColor3f(  0.0, 1.0, 0.0 );
		glVertex3f( 0.0, 1.5, 0.0 );
		glVertex3f( -0.05, 1.35, 0.0 );
		glVertex3f( 0.05, 1.35, 0.0 );

		glColor3f(  0.0, 0.0, 1.0 );
		glVertex3f( 0.0, 0.0, 1.5 );
		glVertex3f( -0.05, 0.0, 1.35 );
		glVertex3f( 0.05, 0.0, 1.35 );
	glEnd();
	glPopAttrib();
}
