/*
 * Copyright 1993, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */


#include <stdio.h>
#include <stdlib.h>
#include <GL/gl.h>
#include <GL/glu.h>

/* This function can be called to check to see if an OpenGL error
 * has occurred. The parameter to the function is a string that 
 * can be used to provide information about where the function
 * was invoked.  The programmer will typically call this function
 * at the end of the rendering function, although it can be useful
 * to call it in any function that is under development.  
 * 
 * Note that more than one error flag might have been set, so
 * we loop until we have gotten all of them.
 */
GLvoid 
checkError( char *label ) 
{
	GLenum error;

	while ((error = glGetError()) != GL_NO_ERROR ) {
		fprintf( stderr, "%s: %s\n", label, gluErrorString(error));
	}
}
